---
title: USB.ondisconnect
slug: Web/API/USB/ondisconnect
tags:
  - API
  - Method
  - Reference
  - USB
  - WebUSB
  - WebUSB API
  - ondisconnect
---
<p>{{APIRef("WebUSB API")}}{{SeeCompatTable}}{{securecontext_header}}</p>

<p>The <strong><code>ondisconnect</code></strong> property of the {{domxref("USB")}} is an event handler called whenever a paired device is disconnected.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">USB.ondisconnect = <em>disconnectFunction</em></pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web USB','#dom-usb-ondisconnect','ondisconnect')}}</td>
   <td>{{Spec2('Web USB')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.USB.ondisconnect")}}</p>
